Bug 129950 - Build crashed with file cothreads.c(86): error: too many arguments in function call
Summary: Build crashed with file cothreads.c(86): error: too many arguments in functio...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gstreamer (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-15 15:14 UTC by dyulov
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-13 20:09:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dyulov 2004-08-15 15:14:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
MyIE2; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
In directory gstreamer-0.6.0/libs/ext/cothreads/tests, in file 
cothreads.c line 87 description of function perror not correct by 'C' 
standart '7.19.10.4 The perror function'.

cothreads.c(86): error: too many arguments in function call
        perror ("allocating pthread stack of size %d", 
MAIN_STACK_SIZE);



Version-Release number of selected component (if applicable):
gstreamer-0.6.0

How reproducible:
Always

Steps to Reproduce:
1. Go to gstreamer-0.6.0/libs/ext/cothreads/tests folder.
2. Open file cothreads.c and go to line 87.
3. See description of function perror.
   

Additional info:

cothreads.c(86): error: too many arguments in function call
        perror ("allocating pthread stack of size %d", 
MAIN_STACK_SIZE);

Comment 1 Colin Walters 2004-09-13 20:09:06 UTC
This problem is already fixed in the latest upstream release (0.8).


Note You need to log in before you can comment on or make changes to this bug.